#!/usr/bin/env node
const archiveDl = require("./index");


let arguments = [];
let uris = [];

for (let index = 2; index <process.argv.length; index++) {
    let element = process.argv[index];
    if(element.startsWith("--"))
    arguments.push(element);

else uris.push(element);
}

let url = uris[0];
let path = uris[1];

if(!url)  { console.error("No URl was given");process.exit(0)}
if(!path) path=process.cwd();

let config = {}

arguments.forEach(element => {
    let temp = element.split("/")
   if( temp.length>1)element=temp[0];
    config[element.replace("--","")]=temp.length>1?temp[1]:true;
});

let downloader = new archiveDl(config);
downloader.start(url, path);